summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2021-06-29 19:12:39 +0200
committerThomas Beierlein <tomjbe@gentoo.org>2021-06-29 19:12:39 +0200
commitf7152b3662f80087c41234557377b54bcf0e91d8 (patch)
tree370b05eb35ff3e836087735fb1fb6c1164237212 /sci-electronics/puff
parentsci-electronics/puff: Adapt to changes in Free Pascal compiler (diff)
downloadgentoo-f7152b3662f80087c41234557377b54bcf0e91d8.tar.gz
gentoo-f7152b3662f80087c41234557377b54bcf0e91d8.tar.bz2
gentoo-f7152b3662f80087c41234557377b54bcf0e91d8.zip
sci-electronics/puff: Minor maintenance release
Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Thomas Beierlein <tomjbe@gentoo.org>
Diffstat (limited to 'sci-electronics/puff')
-rw-r--r--sci-electronics/puff/Manifest1
-rw-r--r--sci-electronics/puff/puff-20181104.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/sci-electronics/puff/Manifest b/sci-electronics/puff/Manifest
index 3b2f76f78f8..1783fccc915 100644
--- a/sci-electronics/puff/Manifest
+++ b/sci-electronics/puff/Manifest
@@ -1 +1,2 @@
DIST puff-20100127.tgz 430028 BLAKE2B e3c019c4034f4f70c3f1a2468360a8838ee338ec167b8da9ef6ec630d6443c66e798e22e6e2b80f6d706191756831aa3fa5146170e0bdb2cebe3cfcf13f6cd99 SHA512 d39d74300a5f6d226dcd6147f3c63cf30396abd14d765b24b48dbd1956c81a10d4233c141789648423aa44631197e1ec160630f9b20b6ac5ae641ae67cdcb2da
+DIST puff-20181104.tgz 430096 BLAKE2B f87bd2d93ff83271fbac9b2933b87dbbd47aa032e5662a77d77e58563a1e353b302f295520895b1a705c28a146ebf080fc5b66d17737a7c1d6fa48d320d3fb70 SHA512 44ffc132f2ecf92868129a98ae9d154a62232c670bfd139de6bee7f03c2ad3531068f8738f26a0074d169097945436e4630bf795c006354f335d41efa5aaa881
diff --git a/sci-electronics/puff/puff-20181104.ebuild b/sci-electronics/puff/puff-20181104.ebuild
new file mode 100644
index 00000000000..9d07d1e9fd6
--- /dev/null
+++ b/sci-electronics/puff/puff-20181104.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="microwave CAD software"
+HOMEPAGE="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/puff/"
+SRC_URI="https://wwwhome.cs.utwente.nl/~ptdeboer/ham/${PN}/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}
+ dev-lang/fpc"
+
+src_prepare() {
+ default
+ # fix lib path for X11 and dont ignore LDFLAGS
+ sed -i -e 's/CFLAGS/#CFLAGS/' \
+ -e 's/link.res/.res/g' \
+ -e 's/.res pu/.res $(LDFLAGS) pu/' Makefile || die
+}
+
+src_compile() {
+ LDFLAGS="$(raw-ldflags)"
+ emake -j1
+}
+
+src_install() {
+ dobin puff
+
+ dodoc changelog.txt README.txt
+ newdoc "Puff Manual.pdf" Puff_Manual.pdf
+
+ insinto /usr/share/${PN}
+ doins setup.puf
+ doins -r orig_dev_and_puf_files
+}
+
+pkg_postinst() {
+ elog "You must copy /usr/share/${PN}/setup.puf into your working directory"
+ elog "before using the program."
+}